API DocumentationManufacturer shipment controller

Calculate the shipping rates for a group of parts

This endpoint calculates the shipping rates for a group of parts. The request body should contain the list of parts and their quantities.

POST
/api/manufacturer/v1/shipment/rates
AuthorizationBearer <token>

In: header

currencystring
Value in"USD" | "SGD" | "EUR" | "INR" | "JPY" | "AUD" | "GBP" | "NZD" | "MYR" | "CAD" | "CHF" | "DKK" | "SEK" | "MXN" | "ZAR" | "UAH" | "NOK" | "PHP" | "TRY"
organisationIdinteger
Formatint64
toAddressIdinteger
Formatint64
partsarray<PartShippingDetailDto>

Response Body

curl -X POST "http://m-api-dev.phas.io/api/manufacturer/v1/shipment/rates" \  -H "Content-Type: application/json" \  -d '{    "currency": "USD",    "organisationId": 0,    "toAddressId": 0,    "parts": [      {        "partRevisionId": "d6aa80a1-8f9a-4090-941a-f51f551521b8",        "units": "CENTIMETERS",        "quantity": 0,        "processPricesId": "efb221a2-6f82-4cf4-8be0-20aae2aa874c",        "materialId": 0      }    ]  }'
[
  {
    "shippingMethodId": 0,
    "tooLargeForBoxes": true,
    "errorWithCarrier": true,
    "rates": [
      {
        "id": "string",
        "rate": 0,
        "currency": "string",
        "serviceType": "string",
        "serviceName": "string",
        "shippingMethodId": 0
      }
    ]
  }
]
Empty

Last updated on